Look up an order (guest)
POST
/api/website/orders/lookup
const url = 'https://api.petanqueai.com/api/website/orders/lookup';const options = { method: 'POST', headers: { 'x-storefront-token': '<x-storefront-token>', 'Content-Type': 'application/json' }, body: '{"code":"example","phone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.petanqueai.com/api/website/orders/lookup \ --header 'Content-Type: application/json' \ --header 'x-storefront-token: <x-storefront-token>' \ --data '{ "code": "example", "phone": "example" }'Lets a guest find their order with the order code (SA-…) and the phone number on the order. Returns a summary without personal details: status, items, totals, city and district, a masked recipient name, and shipment tracking. Any miss answers the same 404.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
code
required
string
phone
required
string
Example generated
{ "code": "example", "phone": "example"}object
code
required
string
phone
required
string
Example generated
code=example&phone=exampleobject
code
required
string
phone
required
string